.breadcrumbs {
    margin-bottom: 40px;
}
.mobile {
    display: none;
}
main > .tittle {
    display: flex;
    gap: 15px;
    align-items: center;
}
main > .tittle h1 {
    margin: 0;
    padding: 0;
    font-size: 21px;
    font-weight: 700;
    line-height: 34px;
    color: #1F222B;
}
main > .tittle span {
    font-size: 13px;
    line-height: 24px;
    color: #606469;
    margin-top: 2px;
}
form[name="filter"] {
    display: flex;
    gap: 20px;
    width: 100%;
    margin-bottom: 35px;
    padding: 20px 20px 30px;
    border-radius: 16px;
    background: #fff;
    box-shadow: 0px 94px 37px 0px rgba(113, 140, 168, 0.01), 0px 53px 32px 0px rgba(113, 140, 168, 0.05), 0px 23px 23px 0px rgba(113, 140, 168, 0.09), 0px 6px 13px 0px rgba(113, 140, 168, 0.1);
    .filter-spoiler {
        display: contents;
        .top {
            display: none;
        }
        .bottom {
            display: contents;
        }
    }
    .grid {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        gap: 20px 8px;
        max-width: 820px;
        width: 100%;
        .selecter {
            position: relative;
            padding: 10px;
            border-radius: 8px;
            border: 1px solid #E2E4E4;
            background: #FFF;
            cursor: pointer;
            p {
                color: #606469;
                transition: color 0.2s linear;
            }
            .selected {
                font-size: 14px;
                font-weight: 400;
                line-height: 20px;
                width: 100%;
                display: flex;
                justify-content: space-between;
                &::after {
                    content: '\e019';
                    transform: rotate(90deg);
                    font-family: 'Icon';
                    font-size: 14px;
                    line-height: 20px;
                    transition: transform .3s linear, color 0.3s linear;
                }
            }
            .list {
                max-height: 0px;
                width: 100%;
                position: absolute;
                left: 0;
                right: 0;
                top: calc(100% + 2px);
                overflow-y: scroll;
                display: flex;
                flex-direction: column;
                border-radius: 8px;
                background: #FFF;
                z-index: 1;
                transition: max-height .4s linear;
                &:has(label) {
                    padding: 0 10px;
                    gap: 8px;
                }
                div {
                    padding: 10px;
                    background: #FFF;
                    font-size: 14px;
                    font-weight: 500;
                    line-height: 20px;
                    color: #606469;
                    cursor: pointer;
                    display: flex;
                    align-items: center;
                    transition: .2s linear;
                    &:hover,
                    &.active {
                        background: #F8F9F9;
                    }
                }
                input[type="checkbox"] {
                    display: none;
                    &:checked + label::before {
                        color: #006DF0;
                        border-color: #006DF0;
                        background-color: #D0E7FF;
                    }
                }
                label {
                    font-size: 13px;
                    font-weight: 400;
                    line-height: 22px;
                    color: #606469;
                    display: flex;
                    gap: 4px;
                    align-items: center;
                    position: relative;
                    margin: 0;
                    padding: 0;
                    cursor: pointer;
                    &:first-of-type {
                        margin-top: 10px;
                    }
                    &:last-of-type {
                        margin-bottom: 10px;
                    }
                    &::before {
                        content: '\e022';
                        display: flex;
                        flex-shrink: 0;
                        align-items: center;
                        justify-content: center;
                        font-family: 'Icon';
                        line-height: 1;
                        font-size: 14px;
                        min-width: 20px;
                        height: 20px;
                        border-radius: 4px;
                        border: 1px solid #A1A4A7;
                        background-color: #FFF;
                        color: transparent
                    }
                }
            }
            &.active {
                .selected::after {
                    transform: rotate(-90deg);
                    color: #006DF0;
                }
                .list {
                    max-height: 350px;
                    border: 1px solid #F8F9F9;
                }
            }
        }
        input {
            width: 100%;
            padding: 10px;
            border-radius: 8px;
            border: 1px solid #E2E4E4;
            background: #FFF;
            position: relative;
            cursor: pointer;
            height: auto;
            &::placeholder {
                font-size: 14px;
                font-weight: 400;
                line-height: 20px;
                color: #606469;
            }
        }
    }
    .sort-spoiler {
        display: contents;
        .top {
            display: none;
        }
    }
    .sort {
        display: flex;
        flex-direction: column;
        gap: 15px;
        input {
            display: none;
            &:checked + label {
                &::after {
                    content: '\e022';
                    font-family: 'Icon';
                    font-size: 14px;
                    line-height: 20px;
                    color: #006DF0;
                    position: absolute;
                    left: 4px;
                    top: 1px;
                    background: none;
                    width: auto;
                    height: auto;
                }
                &::before {
                    border: 1px solid #006DF0;
                    background-color: #D0E7FF;
                }
            }
        }
        label {
            font-size: 13px;
            font-weight: 400;
            line-height: 22px;
            color: #606469;
            display: flex;
            gap: 4px;
            align-items: center;
            position: relative;
            margin: 0;
            padding: 0;
            white-space: nowrap;
            &::before {
                content: '';
                min-width: 20px;
                height: 20px;
                border-radius: 4px;
                border: 1px solid #A1A4A7;
                background-color: #FFF;
                position: static;
            }
        }
    }
    .buttons {
        display: flex;
        flex-direction: column;
        gap: 20px;
        max-width: 133px;
        width: 100%;
        order: 1;
        button {
            border: 1px solid #006df0;
            padding: 0 35px;
            height: 42px;
            border-radius: 30px;
            font-size: 14px;
            font-weight: 700;
            line-height: 24px;
            cursor: pointer;
            appearance: none;
            -webkit-appearance: none;
            transition: .3s linear;
            &[type="reset"] {
                color: #0056CF;
                &:hover {
                    color: #fff;
                }
            }
            &[type="submit"] {
                background: #006DF0;
                color: #fff;
                &:hover {
                    background: #004ba6 !important;
                }
            }
        }
    }
}
.goods-list {
    .list {
        border-radius: 16px;
        overflow: hidden;
        border: 1px solid var(--BOR, #E2E4E4);
        background: #FFF;
        .row {
            display: grid;
            grid-template-columns: 1fr 3.4fr 2fr 1.2fr 1.1fr 0.9fr 2.1fr;
            &:nth-child(2n + 1) {
                background-color: #F8FAFC;
            }
            &.head {
                border-radius: 16px 16px 10px 10px;
                background: #F2F9FF;
                div {
                    padding: 23px 10px 20px;
                    border-right: 1px solid #E2E4E4;
                    p {
                        font-size: 14px;
                        font-weight: 400;
                        line-height: normal;
                        color: #606469;
                    }
                }
            }
            &.goods {
                & > div {
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    border-right: 1px solid #E2E4E4;
                    padding: 10px;
                    &:last-child {
                        border-right: none;
                    }
                    &.price p {
                        color: #1F222B;
                        font-family: Inter;
                        font-size: 18;
                        font-weight: 700;
                        line-height: 167%;
                    }
                }
                .img {
                    max-width: 100%;
                    padding: 20px;
                    img {
                        width: 100%;
                    }
                }
                h2,
                h2 a,
                p {
                    display: flex;
                    flex-direction: column;
                    color: #20222B;
                    font-size: 16px;
                    font-weight: 400;
                    line-height: 24px;
                    text-align: left;
                }
                .option p {
                    word-break: break-all;
                }
                h2 a {
                    word-break: break-all;
                    text-align: left;
                }
                .controls {
                    display: grid;
                    grid-template-columns: 100px 60px;
                    justify-content: space-between;
                    gap: 15px;
                    padding: 14px 20px 16px 10px;
                    .stock {
                        font-size: 14px;
                        color: #027A48;
                        &.not {
                            color: #B54708;
                        }
                    }
                    .favorites {
                        display: flex;
                        justify-content: end;
                        &::after {
                            content: '\e013';
                            font: 20px / 1 Icon;
                            color: #606469;
                            cursor: pointer;
                            transition: color .3s linear;
                        }
                        &.active::after {
                            content: '\e015';
                            color: #D92D20;
                        }
                    }
                    .count {
                        margin-top: 0;
                        button {
                            width: 28px;
                            height: 28px;
                            font-size: 12px;
                            padding: 8px;
                            border-radius: 7px;
                        }
                        p,
                        span {
                            color: #1F222B;
                            font-size: 14px;
                            font-weight: 400;
                            line-height: 20px;
                        }
                        p {
                            flex-direction: row;
                            gap: 4px;
                        }
                    }
                    .btn-blue {
                        gap: 4px;
                        background: #fff;
                        border: 2px solid #006df0;
                        padding: 8px 12px;
                        height: 34px;
                        border-radius: 25px;
                        font-size: 18px;
                        &::before {
                            content: '\e025';
                            font-family: 'Icon';
                            color: #0056CF;
                            font-size: 18px;
                            line-height: 1;
                            transition: color .3s linear;
                        }
                        &::after {
                            content: "\e017";
                            font-family: 'Icon';
                            font-size: 12px;
                            line-height: 1;
                            color: #0056CF;
                            transition: color .3s linear;
                        }
                    }
                }
                &:has(.add-cart.disabled) {
                    opacity: .6;
                    .count button {
                        pointer-events: none;
                    }
                }
            }
        }
        .not-available {
            padding: 25px;
            background-color: #F2F9FF;
            font-size: 20px;
            line-height: 24px;
            font-weight: 700;
        }
    }
    .pagination {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-top: 35px;
        grid-column: 1 / 5;
        &.mobile {
            display: none;
        }
        .prev,
        .next {
            display: flex;
            align-items: center;
            gap: 10px;
            font-size: 14px;
            font-style: normal;
            font-weight: 500;
            line-height: 24px;
            color: #A1A4A7;
            transition: color .3s linear;
            &::before,
            &::after {
                content: '\e018';
                font: 14px / 16px Icon;
                transition: color .3s linear;
            }
            &::before {
                transform: rotate(180deg);
            }
        }
        .prev::after,
        .next::before {
            display: none;
        }
        .items {
            display: flex;
            justify-content: center;
            align-items: center;
            a {
                display: flex;
                justify-content: center;
                align-items: center;
                width: 40px;
                height: 40px;
                font-family: 'Inter';
                font-size: 14px;
                color: #606469;
                transition: .3s linear;
                &.selected {
                    background: #F2F9FF;
                    color: #006DF0;
                }
            }
        }
    }
}
@media screen and (max-width: 1150px) {
    .breadcrumbs {
        margin-bottom: 28px;
    }
    .contetn {
        padding: 28px 0 80px;
    }
    .goods-list {
        .list .row.goods .img {
            padding: 10px 0;
        }
        & .list {
            display: grid;
            grid-template-columns: repeat(2, 1fr);
            gap: 10px;
            border-radius: 0;
            border: none;
            .mobile {
                display: inline-block;
                color: #606469;
                font-family: "Proxima Nova";
                font-size: 14px;
                font-weight: 400;
            }
            & .row {
                &:nth-child(2n + 1) {
                    background: none;
                }
                &.head {
                    display: none;
                }
                &.goods {
                    position: relative;
                    grid-template-columns: minmax(155px, 0.3fr) 1fr;
                    gap: 10px;
                    border-radius: 10px;
                    border: 1px solid #E2E4E4;
                    overflow: hidden;
                    padding-bottom: 10px;
                    &::before {
                        content: '';
                        position: absolute;
                        left: 0;
                        bottom: 0;
                        width: 100%;
                        height: 100%;
                        background: #F8FAFC;
                        grid-column: 1/3;
                        grid-row: 1/2;
                        border-bottom: 1px solid #E2E4E4;
                    }
                    :where(.code, .manufacturer, .option) {
                        grid-column: span 2;
                    }
                    > div {
                        justify-content: space-between;
                        padding: 0 0 10px;
                        margin: 0 10px;
                        &:not(:last-child) {
                            border-bottom: 1px solid #E2E4E4;
                            border-right: none;
                        }
                        &:where(.img, .name) {
                            position: relative;
                            z-index: 1;
                            background: none;
                            border: none;
                        }
                        &.controls {
                            display: contents;
                            > * {
                                margin: 0 10px;
                            }
                            .stock {
                                grid-column: 1/2;
                                grid-row: 5/6;
                                padding: 0;
                                margin-top: 13px;
                                font-size: 14px;
                            }
                            .favorites {
                                position: absolute;
                                top: 14px;
                                left: 14px;
                                z-index: 1;
                            }
                            .count {
                                grid-column: 1/2;
                                margin-right: auto;
                                gap: 10px;
                                button {
                                    width: 40px;
                                    height: 40px;
                                    flex-shrink: 0;
                                }
                            }
                            .btn-blue {
                                margin-left: auto;
                                height: 40px;
                            }
                        }
                        &.price {
                            margin-top: 13px;
                            grid-column: 2/3;
                            border-bottom: none;
                            padding: 0;
                            p {
                                margin-left: auto;
                                font-size: 18px;
                            }
                        }
                    }
                }
            }
        }
    }
    form[name="filter"] {
        border-radius: 0;
        box-shadow: none;
        padding: 0;
        justify-content: space-between;
        margin-bottom: 20px;
        .filter-spoiler {
            position: relative;
            display: flex;
            flex-direction: column;
            &.active {
                .top {
                    button {
                        color: #006DF0;
                        &::before {
                            color: #006DF0;
                        }
                    }
                }
                .bottom {
                    max-height: 1000px;
                }
            }
            .top {
                display: flex;
                align-items: center;
                gap: 10px;
                button {
                    border: none;
                    padding: 0;
                    border-radius: 0;
                    &:hover {
                        background: none;
                    }
                }
                .open {
                    display: flex;
                    align-items: center;
                    gap: 4px;
                    font-size: 16px;
                    font-weight: 500;
                    line-height: 1.5;
                    color: #606469;
                    &::before {
                        content: '\e023';
                        font-family: 'Icon';
                        font-size: 16px;
                        font-weight: 500;
                        line-height: 24px;
                        color: #606469;
                    }
                }
                .clear {
                    display: none;
                    color: #D92D20;
                    text-align: center;
                    font-family: "Proxima Nova";
                    font-size: 14px;
                    font-weight: 700;
                    line-height: 1.7;
                }
            }
            .bottom {
                position: absolute;
                left: 0;
                top: 100%;
                width: calc(100vw - 20px);
                max-width: 450px;
                z-index: 3;
                display: flex;
                flex-direction: column;
                overflow-y: hidden;
                max-height: 0;
                transition: max-height .4s linear;
                background: #fff;
                border-radius: 16px;
                padding: 0 10px;
                box-shadow: 0px 146px 41px 0px rgba(113, 140, 168, 0.00), 0px 94px 37px 0px rgba(113, 140, 168, 0.01), 0px 53px 32px 0px rgba(113, 140, 168, 0.05), 0px 23px 23px 0px rgba(113, 140, 168, 0.09), 0px 6px 13px 0px rgba(113, 140, 168, 0.10);
                .grid {
                    padding: 10px 0 0;
                    display: flex;
                    flex-direction: column;
                    gap: 10px;
                    width: 100%;
                    .selecter {
                        .list {
                            position: relative;
                            border: none;
                            border-radius: 0;
                            top: calc(100% + 20px);
                        }
                    }
                }
                .buttons {
                    display: grid;
                    grid-template-columns: repeat(2, 1fr);
                    gap: 10px;
                    max-width: 335px;
                    margin-top: 30px;
                    padding-bottom: 10px;
                    button {
                        padding: 0 20px;
                    }
                }
            }
        }

        .sort-spoiler {
            position: relative;
            display: flex;
            align-self: start;
            &.active {
                .sort {
                    max-height: 400px;
                }
                .top {
                    button {
                        color: #006DF0;
                        &::after {
                            color: #006DF0;
                        }
                    }
                }
            }
            .top {
                display: flex;
                button {
                    border: none;
                    border-radius: 0;
                    padding: 0;
                    display: flex;
                    align-items: center;
                    gap: 4px;
                    font-size: 16px;
                    font-weight: 500;
                    line-height: 24px;
                    color: #606469;
                    &:hover {
                        background: none;
                    }
                    &::after {
                        content: '\e024';
                        font-family: 'Icon';
                        font-size: 16px;
                        font-weight: 500;
                        line-height: 24px;
                        color: #606469;
                    }
                }
            }
            .sort {
                z-index: 3;
                position: absolute;
                top: 100%;
                right: 0;
                max-height: 0;
                overflow: hidden;
                gap: 10px;
                transition: 0.3s linear;
                background: #fff;
                border-radius: 10px;
                padding: 0 10px;
                box-shadow: 0px 146px 41px 0px rgba(113, 140, 168, 0.00), 0px 94px 37px 0px rgba(113, 140, 168, 0.01), 0px 53px 32px 0px rgba(113, 140, 168, 0.05), 0px 23px 23px 0px rgba(113, 140, 168, 0.09), 0px 6px 13px 0px rgba(113, 140, 168, 0.1);
                > div {
                    &:first-child {
                        margin-top: 20px;
                    }
                    &:last-child {
                        margin-bottom: 20px;
                    }
                }
            }
        }

    }
}
@media screen and (max-width: 768px) {
    .goods-list {
        & .list {
            display: flex;
            flex-direction: column;
        }
        .pagination {
            display: none;
        }
        .mobile.pagination {
            display: flex;
            justify-content: center;
            gap: 20px;
        }
    }

}
@media screen and (hover:hover) {
    .goods-list {
        .list .row.goods .controls {
            .favorites:hover::after {
                color: #D92D20;
            }
            .btn-blue:hover {
                &::before,
                &::after {
                    color: #fff;
                }
            }
        }
        .pagination {
            :where(.prev, .next):hover {
                color: #006DF0;
                &::before,
                &::after {
                    color: #006DF0;
                }
            }
            .items a:hover {
                background: #F2F9FF;
                color: #006DF0;
            }
        }
    }
    form[name="filter"] {
        :is(.sort-spoiler, .filter-spoiler) .top button:hover {
            color: #006DF0;
        }
        .grid .selecter p:hover {
            color: #006DF0;
        }
    }
}